[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Can't locate libmysqlclient.so.10 RPM forphp-mysql-4.2.2-8.0.7.i386.rpm

On Fri, 2003-05-02 at 10:55, DB wrote:
> Hi,
> I'm attempting to install a forum which requires both MySQL and php.  I am
> getting a failed dependency for a MySQL RPM when attempting to install the
> php-mysql-4.2.2-8.0.7.i386.rpm and I can't find the needed rpm, not even on
> Red hat Network.  The library I need is libmysqlclient.so.10.
>   I have both MySQL and PHP running on my server, both appear to be working
> OK (independently) my php test script comes up fine and indicates that it
> does support MySQL, although not which version.
> I ran  rpm -iv to install php-MySQL and this is what came up -
> [root www html]# rpm -iv php-mysql-4.2.2-8.0.7.i386.rpm
> error: Failed dependencies:
>         libmysqlclient.so.10 is needed by php-mysql-4.2.2-8.0.7
> This is what I presently have on system...
> [root www html]# rpm -qa | grep MySQL
> MySQL-client-4.0.12-0
> MySQL-server-4.0.12-0
> [root www html]# rpm -qa | grep php
> php-imap-4.2.2-8.0.7
> php-4.2.2-8.0.7
> php-ldap-4.2.2-8.0.7
> [root www html]
> Does anyone know where I can get this rpm?  I'm running RH Linux 8 under
> kernel-2.4.18-27.8.0
> Thanks for any info

libmysqlclient.so.10 is in /usr/lib/mysql:

[root phoenix root]# locate sqlclient

And that file is provided by mysql-3.23.56-1.80.i386.rpm:

[root phoenix root]# rpm -qf /usr/lib/mysql/libmysqlclient.so.10

Hope this helps...

Christian Thibodeau
Open Systems, Operations
Common IT Services
Solutions BC, Province of BC
Phone: 250-387-5993	Fax: 250-387-5231
Solutions BC http://www.solutionsbcsharedservices.gov.bc.ca
CITS https://cits.gov.bc.ca

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]